conda create -y -n generate_testfiles python=3.9 pip packaging numpy=1.20.1
conda activate generate_testfiles
echo "$CONDA_PREFIX"
pip install nixio
neo_versions=('0.6.1' '0.7.2' '0.8.0' '0.9.0' '0.10.2' '0.11.1' '0.12.0')
pip install numpy==1.20.0

for neo_version in "${neo_versions[@]}"; do
  pip install --quiet --upgrade neo==$neo_version
  pip install --quiet nixio==1.5.2
  if [[ ${neo_version} == '0.6.1' ]]; then
    echo "Installing old nixio version for ancient neo versions"
    pip install --quiet nixio==1.4.9
  fi

  python generate_nix_testfiles.py
done

conda deactivate
conda env remove --name generate_testfiles